version: 2.0
artifacts:
  -
    description: Displays all installed packages.
    supported_os: [aix, linux]
    collector: command
    command: rpm -q -a
    output_file: rpm_-q_-a.txt
  -
    description: Display all installed packages name, install date, version and release.
    supported_os: [aix, linux]
    collector: command
    command: rpm -q -a --queryformat '%{INSTALLTIME}~%{NAME}~%{VERSION}-%{RELEASE}\\n'
    output_file: rpm_-q_-a_--queryformat_installtime_name_version_release.txt
  -
    description: Verify all packages to compare information about the installed files in the package with information about the files taken from the package metadata stored in the rpm database.
    supported_os: [aix, linux]
    collector: command
    command: rpm -V -a
    output_file: rpm_-V_-a.txt
  